Metaproperty

Delete metaproperty

Delete a metaproperty by id

delete
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}

Path Parameters

metapropertyIdstring(uuid)required

Response

application/json

MetapropertyDeletedOutput

messagestringrequired
delete/api/1/taxonomy/metaproperties/{metapropertyId}
 
application/json

Retrieve Metaproperty

Retrieve a single metaproperty by its id

get
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}

Path Parameters

metapropertyIdstring(uuid)required

Response

application/json

Metaproperty

allowDuplicatesbooleanrequired
autocompletebooleanrequired
createDuringApplybooleanrequired
definitionstring
idstringrequired
metapropertyTypestringrequired

Allowed values:single-selectmulti-selectdatetext

namestringrequired
get/api/1/taxonomy/metaproperties/{metapropertyId}
 
application/json

Modify metaproperty

Modify a metaproperty by id

patch
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}

Path Parameters

metapropertyIdstring(uuid)required

Body

application/json

MetapropertyUpdateInput

allowDuplicatesboolean
autocompleteboolean
createDuringApplyboolean
definitionstring
metapropertyTypestring

Allowed values:single-selectmulti-selectdatetext

namestring

Response

application/json

MetapropertyUpdatedOutput

messagestringrequired
patch/api/1/taxonomy/metaproperties/{metapropertyId}

Body

{}
 
application/json

Metaproperties - Old API (Please use new API if possible)

Retrieve metaproperties

get
https://{your-bynder-domain}/api/v4/metaproperties

Query Parameters

countboolean

Indicates whether or not the response should include asset count results for metaproperty-options.

Default:false

typestring

Comma-separated list of asset types. Filters the count results by asset type.

Allowed values:imagedocumentaudiovideo3d

optionsboolean

Indicates whether or not the response should include the metaproperty options of each metaproperty. Warning: Always ensure to remove the metaproperty options from the response when using this endpoint. Include the param options=0 in every request sent.

Default:true

idsstring

Comma-separated list of metaproperty ids. Will return a metaproperty for each existing id.

Response

200 application/json

Successful response

get/api/v4/metaproperties
 
200 application/json